Architektur Geschoss

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Floor and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська

Arch Floor.svg Geschoss

Menüeintrag
Architektur → Geschoss
Arbeitsbereich
Arch-Arbeitsbereich
Standardtastenkürzel
F L
In der Version eingeführt
-
Siehe auch
Arch Building, Arch Site


Beschreibung

Eine Etage ist ein spezielles FreeCAD-Gruppenobjekt mit mehreren Zusatzeigenschaften, welche insbesondere zur Etagenkonstruktion geeignet sind. Insbesondere hält diese Gruppe eine Höhen-Eigenschaft, welche von allen Kindobjekten (Wände und Bauelemente) genutzt werden kann, um die Höhe automatisch anzupassen. Im Wesentlichen dient das Etagenobjekt der Organisation des Konstruktionsmodells.

Beginnend mit FreeCAD 0.18 wird das Arch-Geschoss (Floor) komplett aus dem Arch Gebäudeteil-Objekt abgeleitet, das ein allgemeiner Container zur Organisation eines Gebäudemodells ist, der nicht auf Geschosse oder Etagen beschränkt ist. Ältere Geschoss-Objekte können in den neuen Typ umgewandelt werden, indem sie mit Rechtsklick markiert werden und Convert to BuildingPart ausgewählt wird.

Anwendung

  1. Es können optional ein oder mehrere einzuschließende Objekte bei der Etagenerstellung selektiert werden.
  2. Drücken Sie den Arch Floor.svg Arch Geschoss-Knopf oder die Tasten F und L

Optionen

  • Nach Erstellung der Etage können dieser per Drag and Drop in die Baumansicht Objekte hinzugefügt werden. Alternativ kann das Arch Add.svg Hinzufügen-Werkzeug verwendet werden.
  • Objekte können durch Herausziehen aus der Baumansicht oder mittels Arch Remove.svg Entfernen-Werkzeug aus der Etage entfernt werden.

Eigenschaften

Ein Arch-Geschoss teilt alle Eigenschaften eines Arch Gebäudeteils, wobei die Eigenschaft DATAIfc Role auf "Building Storey" gesetzt ist.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Etagen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Erzeugt ein Floor-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()